Bug 846095 - (CVE-2012-3456) CVE-2012-3456 Calligra: DOC file rendering buffer overflow
CVE-2012-3456 Calligra: DOC file rendering buffer overflow
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120804,repor...
: Security
Depends On: 846096
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 15:44 EDT by Kurt Seifried
Modified: 2015-07-27 09:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2012-3456 calligra buffer overflow patch (1.02 KB, patch)
2012-08-07 04:01 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-08-06 15:44:34 EDT
Charlie Miller reported a 0day flaw in the Nokia N9 which uses the Koffice 
libraries which in turn have been forked to create the Calligra product. 
Please see pages 39 and 40 of his slides available at: 

http://media.blackhat.com/bh-us-12/Briefings/C_Miller/BH_US_12_Miller_NFC_attack_surface_WP.pdf
Comment 1 Kurt Seifried 2012-08-06 15:46:42 EDT
Created calligra tracking bugs for this issue

Affects: fedora-17 [bug 846096]
Comment 2 Kurt Seifried 2012-08-07 04:01:57 EDT
Created attachment 602669 [details]
CVE-2012-3456 calligra buffer overflow patch
Comment 3 Jan Lieskovsky 2012-08-10 09:22:01 EDT
KDE security advisory:
http://www.kde.org/info/security/advisory-20120810-1.txt
Comment 4 Fedora Update System 2012-08-21 05:54:56 EDT
calligra-l10n-2.5.0-2.fc17, calligra-2.5.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.